import request from "@/utils/request.js";

/**
 * 列表
 * @returns {AxiosPromise}
 */
export function list() {
  return request({
    url: "/organ/list",
    method: "get"
  });
}
/**
 * 修改党支部
 * @param data
 * @returns {AxiosPromise}
 */
export function upParty(data) {
  return request({
    url: "/organ/change?organId=" + data.organId,
    method: "post",
    data
  });
}
/**
 * 党组领导
 * @param data
 * @returns {AxiosPromise}
 */
export function memberParty(data) {
  return request({
    url: "/organ/zb-bz",
    method: "GET",
    data
  });
}
/**
 * 党组成员
 * @param data
 * @returns {AxiosPromise}
 */
export function userParty(data) {
  return request({
    url: "/organ/zb",
    method: "GET",
    data
  });
}

/**
 * 添加留言
 * @param data
 * @returns {AxiosPromise}
 */
export function addComment(data) {
  return request({
    url: "/organ/comment",
    method: "post",
    data
  });
}
/**
 * 留言
 * @param data
 * @returns {AxiosPromise}
 */
export function lookComment(id) {
  return request({
    url: "/organ/comment-list" + (id || ""),
    method: "GET"
  });
}
